Qwt User's Guide 6.0.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes

# QwtColumnRect Class Reference

Directed rectangle representing bounding rectangle und orientation of a column. More...

`#include <qwt_column_symbol.h>`

List of all members.

## Public Types
enum | Direction { LeftToRight, RightToLeft, BottomToTop, TopToBottom }
## Public Member Functions
Qt::Orientation | orientation () const
| QwtColumnRect ()
QRectF | toRect () const
## Public Attributes
Direction | direction
QwtInterval | hInterval
QwtInterval | vInterval

## Detailed Description

Directed rectangle representing bounding rectangle und orientation of a column.

## Member Enumeration Documentation

enum QwtColumnRect::Direction

Direction of the column.

Enumerator:

  LeftToRight | From left to right.
  RightToLeft | From right to left.
  BottomToTop | From bottom to top.
  TopToBottom | From top to bottom.

## Constructor & Destructor Documentation

QwtColumnRect::QwtColumnRect | ( |  | ) | `[inline]`

Build an rectangle with invalid intervals directed BottomToTop.

## Member Function Documentation

Qt::Orientation QwtColumnRect::orientation | ( |  | ) | const`[inline]`

Returns:
  Orientation

QRectF QwtColumnRect::toRect | ( |  | ) | const`[inline]`

Returns:
  A normalized QRect built from the intervals

## Member Data Documentation

Direction QwtColumnRect::direction

Direction.

QwtInterval QwtColumnRect::hInterval

Interval for the horizontal coordinates.

QwtInterval QwtColumnRect::vInterval

Interval for the vertical coordinates.